JNDIVendorAdapter (Axis API)
Keywords: org.apache.axis.components.jms.JNDIVendorAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class JNDIVendorAdapter

    java.lang.Object
      org.apache.axis.components.jms.JMSVendorAdapter
          org.apache.axis.components.jms.JNDIVendorAdapter

public class JNDIVendorAdapter
extends JMSVendorAdapter

Uses JNDI to locate ConnectionFactory and Destinations

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`static java.lang.String` | `_CONNECTION_FACTORY_JNDI_NAME`
`static java.lang.String` | `CONNECTION_FACTORY_JNDI_NAME`
`static java.lang.String` | `CONTEXT_FACTORY`
`static java.lang.String` | `PROVIDER_URL`

Fields inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`CONNECT_ACTION, ON_EXCEPTION_ACTION, RECEIVE_ACTION, SEND_ACTION, SUBSCRIBE_ACTION`

Constructor Summary
`JNDIVendorAdapter()`

Method Summary
`void` | `addVendorConnectionFactoryProperties(JMSURLHelper jmsurl, java.util.HashMap cfConfig)` Populates the connection factory config table with properties from the JMS URL query string
`javax.jms.Queue` | `getQueue(javax.jms.QueueSession session, java.lang.String name)`
`javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.Topic` | `getTopic(javax.jms.TopicSession session, java.lang.String name)`
`javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfConfig)`
`boolean` | `isMatchingConnectionFactory(javax.jms.ConnectionFactory cf, JMSURLHelper originalJMSURL, java.util.HashMap cfProps)` Check that the attributes of the candidate connection factory match the requested connection factory properties.

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`getJMSConnectionFactoryProperties, getJMSConnectorProperties, getVendorId, isRecoverable, setProperties, setupApplicationProperties, setupMessageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT_FACTORY

    public static final java.lang.String CONTEXT_FACTORY

See Also:
  Constant Field Values

### PROVIDER_URL

    public static final java.lang.String PROVIDER_URL

See Also:
  Constant Field Values

### _CONNECTION_FACTORY_JNDI_NAME

    public static final java.lang.String _CONNECTION_FACTORY_JNDI_NAME

See Also:
  Constant Field Values

### CONNECTION_FACTORY_JNDI_NAME

    public static final java.lang.String CONNECTION_FACTORY_JNDI_NAME

See Also:
  Constant Field Values

Constructor Detail

### JNDIVendorAdapter

    public JNDIVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Specified by:
    `getQueueConnectionFactory` in class `JMSVendorAdapter`
  Throws:
    `java.lang.Exception`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Specified by:
    `getTopicConnectionFactory` in class `JMSVendorAdapter`
  Throws:
    `java.lang.Exception`

### addVendorConnectionFactoryProperties

    public void addVendorConnectionFactoryProperties(JMSURLHelper jmsurl,
                                                     java.util.HashMap cfConfig)

  Populates the connection factory config table with properties from the JMS URL query string

  Specified by:
    `addVendorConnectionFactoryProperties` in class `JMSVendorAdapter`
  Parameters:
    `jmsurl` - The target endpoint address of the Axis call
    `cfConfig` - The set of properties necessary to create/configure the connection factory

### isMatchingConnectionFactory

    public boolean isMatchingConnectionFactory(javax.jms.ConnectionFactory cf,
                                               JMSURLHelper originalJMSURL,
                                               java.util.HashMap cfProps)

  Check that the attributes of the candidate connection factory match the requested connection factory properties.

  Specified by:
    `isMatchingConnectionFactory` in class `JMSVendorAdapter`
  Parameters:
    `cf` - the candidate connection factory
    `originalJMSURL` - the URL which was used to create the connection factory
    `cfProps` - the set of properties that should be used to determine the match
  Returns:
    true or false to indicate whether a match has been found

### getQueue

    public javax.jms.Queue getQueue(javax.jms.QueueSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Overrides:
    `getQueue` in class `JMSVendorAdapter`
  Throws:
    `java.lang.Exception`

### getTopic

    public javax.jms.Topic getTopic(javax.jms.TopicSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Overrides:
    `getTopic` in class `JMSVendorAdapter`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.